package io.hmit.modules.sys.service;

import io.hmit.common.service.BaseService;
import io.hmit.modules.sys.dto.SysRegionDTO;
import io.hmit.modules.sys.dto.region.RegionProvince;
import io.hmit.modules.sys.entity.SysRegionEntity;

import java.util.List;
import java.util.Map;

/**
 * 行政区域
 *
 * @author zsh 408538940@qq.com
 */
public interface SysRegionService extends BaseService<SysRegionEntity> {

    List<SysRegionDTO> list(Map<String, Object> params);

    List<Map<String, Object>> getTreeList();

    SysRegionDTO get(Long id);

    void save(SysRegionDTO dto);

    void update(SysRegionDTO dto);

    void delete(Long id);

    int getCountByPid(Long pid);

    List<RegionProvince> getRegion(boolean threeLevel);
}